%define _requires_exceptions devel\(linux-gate\)

%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %mklibname kdenetwork %lib_major

%define kopete_release 0.12.2

Name: kdenetwork
Version: 3.5.7
Release: %mkrel 17
Epoch: 2
Group: Graphical desktop/KDE
Summary: K Desktop Environment - Network Applications
License: GPL
URL: http://www.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
%endif
Source1: kdenetwork3-kppp.pamd
Source2: kdenetwork-lisa

Patch1:  kdenetwork-3.5.7-fix-desktop-files.patch
Patch2:  kdenetwork-3.5.7-add-slovenian-provider.patch
Patch4:  kdenetwork-3.5.7-fix-kdebug-120625.patch
# Post 3.5.7 patches
Patch103: kdenetwork-post-3.5.7-cpu-timer-redux.patch
Patch104: kdenetwork-post-3.5.7-fix-yahoo-crash.patch
Patch106: kdenetwork-post-3.5.7-667758-bko135211.patch
Patch107: kdenetwork-post-3.5.7-668060-groupwise-blocking.patch
Patch108: kdenetwork-post-3.5.7-668496-mem-leak.patch
Patch109: kdenetwork-post-3.5.7-673027-bko146380.patch
Patch110: kdenetwork-post-3.5.7-673109-bko140528-bko143376.patch
Patch111: kdenetwork-post-3.5.7-673114-missing-header.patch
Patch112: kdenetwork-post-3.5.7-673118-bko59080.patch
Patch113: kdenetwork-post-3.5.7-673127-bko133186.patch
Patch114: kdenetwork-post-3.5.7-674906-yahoo-contacts.patch
Patch116: kdenetwork-post-3.5.7-678555-bko146882.patch
Patch117: kdenetwork-post-3.5.7-688617-filesharing-kcmshell.patch
Patch119: kdenetwork-post-3.5.7-704366-avdevice-comunip.patch
Patch120: kdenetwork-post-3.5.7-704382-msn-live-emoticons.patch

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires: automake >= 1.8
BuildRequires: autoconf >= 1:2.59
BuildRequires: arts-devel
BuildRequires: freetype2-devel
BuildRequires: gettext
BuildRequires: kdelibs-devel
BuildRequires: kdelibs-common >= 3.1.93-5mdk
BuildRequires: libaudiofile-devel
BuildRequires: bzip2-devel
BuildRequires: jpeg-devel
BuildRequires: lcms-devel
BuildRequires: mng-devel
BuildRequires: png-devel
BuildRequires: libz-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libopenslp-devel
BuildRequires: libiw-devel
BuildRequires: wireless-tools
BuildRequires: libopenssl-devel
BuildRequires: libqca-devel
BuildRequires: libidn-devel
BuildRequires: libgsmlib-devel
BuildRequires: avahi-compat-libdns_sd-devel  
BuildRequires: avahi-client-devel
BuildRequires: mesaglut-devel
BuildRequires: X11-devel
BuildRequires: libxtst-devel
BuildRequires: expat-devel
BuildRequires: speex-devel
BuildRequires: ortp-devel
BuildRequires: meanwhile-devel
BuildRequires: gadu-devel
Requires: kdenetwork-kdict  = %epoch:%version-%release	
Requires: kdenetwork-kget = %epoch:%version-%release
Requires: kdenetwork-ksirc = %epoch:%version-%release
Requires: kdenetwork-ktalk = %epoch:%version-%release
Requires: kdenetwork-krfb = %epoch:%version-%release
Requires: kdenetwork-kopete = %epoch:%version-%release
Requires: kdenetwork-knewsticker = %epoch:%version-%release
Obsoletes: kdenetwork-kxmlrpcd
Obsoletes: %lib_name-kxmlrpcd
Obsoletes: kdenetwork_kroupware
Obsoletes: kdenetwork_kroupware-kppp
Obsoletes: libkdenetwork_kroupware2
Obsoletes: libkdenetwork_kroupware2-devel
Obsoletes: kit
Obsoletes: kdenetwork-kmail < 3.1.6
Obsoletes: kdenetwork-knode < 3.1.6
Obsoletes: kdenetwork-korn < 3.1.6

%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- knewsticker: RDF newsticker applet
- kpf: public fileserver applet
- ksirc: IRC client
- ktalkd: talk daemon
- lanbrowsing: lan browsing kio slave
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files

#-----------------------------------------------------------

%package common
Summary:	Common files for kdenetwork
Group:		Graphical desktop/KDE

Requires: kdebase-progs >= 3.1
Requires: kdelibs >= 3.1.1-15mdk
Requires: %lib_name-common = %epoch:%version-%release
Obsoletes: kdenetwork3
Obsoletes: kdenetwork-kxmlrpcd
Obsoletes: %lib_name-kxmlrpcd
Conflicts: kdebase =< 2.2.2-93mdk
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-krfb <= 3.1.3-37mdk
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description common
Common files for kdenetwork

%files common
%defattr(-,root,root,-)
%_libdir/kde3/kfile_torrent.*
%_libdir/kde3/kio_zeroconf.*
%_datadir/services/emailwindow.desktop
%_datadir/services/kfile_torrent.desktop
%_bindir/feedbrowser
%_bindir/rssclient
%_bindir/rssservice

%_datadir/services/kntsrcfilepropsdlg.desktop
%_datadir/apps/remoteview/*

%dir %_datadir/apps/zeroconf/
%_datadir/apps/zeroconf/*
%_datadir/services/kded/dnssdwatcher.desktop
%_libdir/kde3/kded_dnssdwatcher.*
%_datadir/services/zeroconf.protocol

# KPF
%dir %_docdir/HTML/en/kpf/
%doc %_docdir/HTML/en/kpf/*
%_datadir/apps/kicker/applets/kpfapplet.desktop
%_datadir/icons/*/*/*/kpf.png
%_libdir/kde3/kpf_panelapplet.*
%_libdir/kde3/kpfpropertiesdialog.*
%_datadir/services/kpfpropertiesdialogplugin.desktop

#-----------------------------------------------------------

%package -n %lib_name-common
Group:      System/Libraries
Summary:    Libraries for kdenetwork
Obsoletes:  %lib_name
Provides:   %lib_name = %epoch:%version-%release
Conflicts:	kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n %lib_name-common
Libraries for kdenetwork.

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root,-)
%_libdir/librss.la
%_libdir/librss.so.*

#-----------------------------------------------------------

%package devel
Summary: Header files for kdenetwork
Group: Development/KDE and Qt
Obsoletes: %lib_name-kopete-devel < 2:3.5.7-%mkrel 4
Obsoletes: %lib_name-common-devel < 2:3.5.7-%mkrel 4
Obsoletes: %lib_name-devel < 2:3.5.7-%mkrel 4
Provides: %lib_name-kopete-devel = %epoch:%version
Provides: %lib_name-common-devel = %epoch:%version
Provides: %lib_name-devel = %epoch:%version
Requires: %lib_name-common = %epoch:%version
Requires: %lib_name-kopete = %epoch:%version
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description devel
Header files for kdenetwork.

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*
%exclude %_libdir/libkdeinit_*
%exclude %_libdir/libkwireless.*

#-----------------------------------------------------------

%package kopete
Group: Graphical desktop/KDE
Summary: Kopete
Requires: kdenetwork-common >= %epoch:%version-%release
Requires: %lib_name-kopete >= %epoch:%version-%release
Provides: kopete
Obsoletes: kopete <= 0.7.1-7mdk
Obsoletes: kopete = %epoch:%version-%release
Obsoletes: kdenetwork-kopete-nowlistening < %epoch:3.5.4
Conflicts: kdenetwork-common <= 3.1.3-37mdk
Conflicts: lisa < 1:3.4.2-11mdk
BuildConflicts: xmms-devel
#Need for yahoo webcam
Requires:	jasper

%description kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin 
being loaded.

The goal of Kopete is to provide users with a standard and easy to use 
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a 
plugin off of.

%post kopete
/sbin/ldconfig
%update_menus

%postun kopete
/sbin/ldconfig
%clean_menus

%files kopete
%defattr(-,root,root,-)
%_bindir/kopete
%_bindir/winpopup-*
%_libdir/kconf_update_bin/kopete-nameTracking-kconf_update
%dir %_docdir/HTML/en/kopete
%doc %_docdir/HTML/en/kopete/*
%_datadir/apps/kopete*
%_datadir/apps/kconf_update/kopete-*
%_datadir/applications/kde/kopete.desktop
%_libdir/kde3/kopete_*
%_libdir/kde3/kcm_kopete_*
%_libdir/kde3/libkrichtexteditpart.*
%_datadir/services/kconfiguredialog/kopete_*
%_datadir/sounds/*.ogg
%_datadir/servicetypes/kopete*.desktop
%_datadir/services/kopete*.desktop
%_datadir/mimelnk/application/x-icq.desktop
%_datadir/mimelnk/application/x-kopete-emoticons.desktop
%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/historyconfig.kcfg
%_datadir/services/chatwindow.desktop
%_datadir/services/rdp.protocol
%_datadir/services/rssservice.desktop
%_datadir/services/aim.protocol
%_datadir/services/irc.protocol
%_iconsdir/*/*/*/kopete*
%_iconsdir/*/*/*/jabber*
%_iconsdir/*/*/*/webcam*
%_iconsdir/*/*/*/*_user*
%_iconsdir/*/*/*/*_offliners*
%_iconsdir/*/*/*/voice*
%_iconsdir/*/*/*/meta*
%_iconsdir/*/*/*/account*
%_iconsdir/*/*/*/emotico*
%_iconsdir/*/*/*/new*
%_iconsdir/*/*/*/contact*
%_iconsdir/*/*/*/status*
%_datadir/config.kcfg/kopete.kcfg
%_datadir/config.kcfg/kopeteidentityconfigpreferences.kcfg
%_datadir/services/invitation.protocol
%_datadir/services/jabberdisco.protocol
%exclude %_libdir/kde3/kcm_kopete_latex.*
%exclude %_libdir/kde3/kopete_latex.*
%exclude %_datadir/services/kopete_latex.desktop
%exclude %_datadir/services/kconfiguredialog/kopete_latex_config.desktop
%exclude %_datadir/apps/kopete/icons/crystalsvg/32x32/apps/latex.png
%exclude %_datadir/config.kcfg/nowlisteningconfig.kcfg

#-----------------------------------------------------------

%package  kopete-latex
Group: Graphical desktop/KDE
Summary: Kopete latex plugin for write andd read mesages in latex
Requires: kopete
Requires: ImageMagick	

%description kopete-latex
Kopete latex plugin for write andd read mesages in latexinder

%files kopete-latex
%defattr(-,root,root,-)
%_libdir/kde3/kcm_kopete_latex.*
%_libdir/kde3/kopete_latex.*
%_datadir/services/kopete_latex.desktop
%_datadir/config.kcfg/latexconfig.kcfg
%_bindir/kopete_latexconvert.sh
%_datadir/services/kconfiguredialog/kopete_latex_config.desktop
%_datadir/apps/kopete/icons/crystalsvg/32x32/apps/latex.png

#-----------------------------------------------------------

%package -n %lib_name-kopete
Summary: Multi-protocol plugin-based instant messenger
Group: 		System/Libraries
Obsoletes:	libkopete1
Provides:	libkopete1 = %epoch:%version-%release
Conflicts:	libkopete1 <= 0.7.1-7mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description -n %lib_name-kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.

%post -n %lib_name-kopete -p /sbin/ldconfig
%postun -n %lib_name-kopete -p /sbin/ldconfig

%files -n %lib_name-kopete
%defattr(-, root, root)
%_libdir/libkopete*.so.*
%_libdir/libkopete*.la
%_libdir/kconf_update_bin/kopete-account-kconf_update
%_libdir/kconf_update_bin/kopete-pluginloader2-kconf_update

#-----------------------------------------------------------

%package -n lisa
Group: Graphical desktop/KDE
Summary: Lisa server
Requires: kdenetwork-common >= %{epoch}:%version-%release
Obsoletes: ksambaplugin <= 0.5
Conflicts: kdenetwork-common < 1:3.4.2-11mdk
Conflicts: kdenetwork-kopete < 1:3.4.2-11mdk

%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.

%post -n lisa
/sbin/ldconfig
%update_menus
%_post_service lisa

%preun -n lisa
%_preun_service lisa

%postun -n lisa
/sbin/ldconfig
%clean_menus

%files -n lisa
%defattr(-,root,root)
%_bindir/lisa
%_bindir/reslisa
%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmkiolan.desktop
%_datadir/applnk/.hidden/kcmlisa.desktop
%_datadir/applnk/.hidden/kcmreslisa.desktop
%dir %_docdir/HTML/en/kcontrol/lanbrowser/
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*
%_datadir/services/fileshare_propsdlgplugin.desktop
%_iconsdir/*/*/*/kcmsambaconf.png
%_datadir/applications/kde/fileshare.desktop
%_datadir/applications/kde/kcmsambaconf.desktop
%_datadir/apps/konqueror/dirtree/remote/lan.desktop
%_libdir/kde3/kio_lan.*
%_libdir/kde3/kcm_lanbrowser.*
%_libdir/kde3/fileshare_propsdlgplugin.*
%_libdir/kde3/kcm_fileshare.*
%_libdir/kde3/kcm_kcmsambaconf.*
%_datadir/apps/konqsidebartng/virtual_folders/services/lisa.desktop
%_datadir/apps/konqueror/servicemenus/smb2rdc.desktop
%dir %_datadir/services/
%_datadir/services/lan.protocol
%_datadir/services/rlan.protocol
%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README
%dir %_docdir/HTML/en/lisa
%doc %_docdir/HTML/en/lisa/*
%config(noreplace) /etc/rc.d/init.d/lisa

#-----------------------------------------------------------

%package ktalk 
Group: Graphical desktop/KDE
Summary: Ktalk program
Provides: ktalk
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description ktalk
ktalk is a graphical talk client capable of multiple connections. It contains 
an addressbook and provides word-wrap, copy and paste, configurable fonts, 
ping, and file transfer. 

%post ktalk
/sbin/ldconfig
%update_menus

%postun ktalk
/sbin/ldconfig
%clean_menus

%files ktalk
%defattr(-,root,root,-)
%_bindir/ktalkd
%_bindir/ktalkdlg
%_bindir/mail.local
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/*
%_libdir/kde3/kcm_ktalkd.*
%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav
%_datadir/applications/kde/kcmktalkd.desktop
%_datadir/config/ktalkdrc
%dir %_docdir/HTML/en/kcontrol/kcmtalkd/
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*
%_iconsdir/*/*/*/ktalkd*

#-----------------------------------------------------------

%package kppp
Group: Graphical desktop/KDE
Summary: Dialer and front end for pppd
Requires: ppp, kdenetwork-kppp-provider
Provides: kppp
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description kppp
Kppp is a dialer and front end for pppd.

%post kppp
/sbin/ldconfig
%update_menus

%postun kppp
/sbin/ldconfig
%clean_menus

%files kppp
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp
%attr(4755,root,root) %_bindir/kppp
%_bindir/kppplogview
%dir %_datadir/apps/kppp
%_datadir/apps/kppp/*
%_datadir/applications/kde/Kppp.desktop
%_datadir/applications/kde/kppplogview.desktop
%_iconsdir/*/*/*/kppp.png
%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/*
%exclude %_datadir/apps/kppp/Rules
%exclude %_datadir/apps/kppp/Provider

#-----------------------------------------------------------

%package kppp-provider
Group: Graphical desktop/KDE
Summary: List of providers for pppd
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk
Conflicts: kdenetwork-kppp <= 3.2-18mdk

%description kppp-provider
List of providers for kppp

%files kppp-provider
%defattr(-,root,root,-)
%_datadir/apps/kppp/Rules
%_datadir/apps/kppp/Provider

#-----------------------------------------------------------

%package ksirc
Group: Graphical desktop/KDE
Summary: KDE IRC
Provides: ksirc
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk
Obsoletes: kdenetwork-kxmlrpcd
Obsoletes: %lib_name-ksirc

%description ksirc
KDE internet relay chat client.

%post ksirc
/sbin/ldconfig
%update_menus

%postun ksirc
/sbin/ldconfig
%clean_menus

%files ksirc
%defattr(-,root,root,-)
%_bindir/ksirc
%_bindir/dsirc
%_datadir/applications/kde/ksirc.desktop
%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/*
%_datadir/config/ksircrc
%_libdir/kde3/ksirc.*
%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/*
%_iconsdir/*/*/*/ksirc.png
%_libdir/libkdeinit_ksirc.*

#-----------------------------------------------------------

%package kwifimanager
Group: Graphical desktop/KDE
Summary: KWifimanager
Provides: kwifimanager
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common < 1:3.4.2-11mdk
Requires: wireless-tools
Obsoletes: %lib_name-kwifimanager

%description kwifimanager
A wireless LAN connection monitor.

%post kwifimanager
/sbin/ldconfig
%update_menus

%postun kwifimanager
/sbin/ldconfig
%clean_menus

%files kwifimanager
%defattr(-,root,root,-)
%_bindir/kwifimanager
%_datadir/applications/kde/kcmwifi.desktop
%_datadir/applications/kde/kwifimanager.desktop
%_datadir/apps/kicker/applets/kwireless.desktop
%dir %_datadir/apps/kwifimanager/
%_datadir/apps/kwifimanager/*
%_iconsdir/*/*/*/kwifimanager*
%_libdir/libkwireless.*
%_libdir/kde3/kcm_wifi.*
%dir %_docdir/HTML/en/kwifimanager/
%doc %_docdir/HTML/en/kwifimanager/*

#-----------------------------------------------------------

%package kdict
Group: Graphical desktop/KDE
Summary: Kdict program
Provides: kdict
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk
Obsoletes: kdenetwork-kxmlrpcd
Obsoletes: %lib_name-kdict

%description -n kdenetwork-kdict
Kdict is a graphical client for the DICT Protocol. It enables you 
to search through dictionary-like databases for a word or phrase, then 
displays suitable definitions. 

%post kdict
/sbin/ldconfig
%update_menus

%postun kdict
/sbin/ldconfig
%clean_menus

%files kdict
%defattr(-,root,root,-)
%_bindir/kdict
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/*
%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/*
%_datadir/applications/kde/kdict.desktop
%_libdir/kde3/kdict_panelapplet.*
%_datadir/apps/kicker/applets/kdictapplet.desktop
%_iconsdir/*/*/*/kdict*
%_libdir/kde3/kdict.*
%_libdir/kde3/kio_jabberdisco.*
%_libdir/libkdeinit_kdict.*

#-----------------------------------------------------------

%package kget
Group: Graphical desktop/KDE
Summary: Kget program
Provides: kget
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description kget
An advanced download manager for KDE.

%post kget
/sbin/ldconfig
%update_menus

%postun kget
/sbin/ldconfig
%clean_menus

%files kget
%defattr(-,root,root,-)
%_bindir/kget
%dir %_datadir/apps/kget/
%_datadir/apps/kget/*
%_datadir/apps/khtml/kpartplugins/kget_plug_in.desktop
%_libdir/kde3/khtml_kget.*
%_datadir/applications/kde/kget.desktop
%_datadir/mimelnk/application/x-kgetlist.desktop
%_datadir/apps/khtml/kpartplugins/kget_plug_in.rc
%_iconsdir/*/*/*/khtml_kget*
%_iconsdir/*/*/*/kget*
%dir %_docdir/HTML/en/kget/
%doc %_docdir/HTML/en/kget/*

%_datadir/apps/konqueror/servicemenus/kget_download.desktop

#-----------------------------------------------------------

%package krfb
Group: Graphical desktop/KDE
Summary: Krfb, Krdc program
Provides: krdc, krfb 
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common <= 3.1.3-37mdk

%description krfb
KDE Desktop Sharing allows you to invite somebody at a remote 
location to watch and possibly control your desktop.

%post krfb
/sbin/ldconfig
%update_menus

%postun krfb
/sbin/ldconfig
%clean_menus

%files krfb
%defattr(-,root,root,-)
%_bindir/krdc
%_bindir/krfb
%_bindir/krfb_httpd
%_datadir/services/vnc.protocol
%_datadir/services/kinetd_krfb.desktop
%dir %_datadir/apps/kinetd/
%_datadir/apps/kinetd/*
%dir %_docdir/HTML/en/krfb/
%doc %_docdir/HTML/en/krfb/*
%doc %_docdir/HTML/en/krdc/*
%_datadir/applications/kde/kcmkrfb.desktop
%_datadir/applications/kde/krdc.desktop
%_datadir/applications/kde/krfb.desktop
%dir %_datadir/apps/krfb/
%_datadir/apps/krfb/*
%dir %_datadir/apps/krdc/
%_datadir/apps/krdc/*
%_libdir/kde3/kcm_krfb.*
%_libdir/kde3/kded_kinetd.*
%_iconsdir/*/*/*/krfb*
%_iconsdir/*/*/*/krdc*
%_datadir/servicetypes/kinetdmodule.desktop
%_datadir/services/kded/kinetd.desktop
%_datadir/services/kinetd_krfb_httpd.desktop

#-----------------------------------------------------------

%package knewsticker
Group: Graphical desktop/KDE
Summary: RDF newsticker applet
Provides: knewsticker
Obsoletes: %lib_name-knewsticker
Conflicts: kdenetwork <= 3.1-31mdk
Conflicts: kdepim <= 3.1.92
Conflicts: kdenetwork-common < 1:3.4.2-11mdk

%description knewsticker
Knewsticker: RDF newsticker applet

%post knewsticker
/sbin/ldconfig
%update_menus

%postun knewsticker
/sbin/ldconfig
%clean_menus

%files knewsticker
%defattr(-,root,root,-)
%_bindir/knewstickerstub 
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/*
%_datadir/applications/kde/knewsticker-standalone.desktop
%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/*
%_datadir/apps/kicker/applets/knewsticker.desktop
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/knewsticker.upd
%_datadir/apps/kconf_update/knt-0.1-0.2.pl
%_iconsdir/*/*/*/knewsticker.png
%_datadir/applnk/.hidden/knewstickerstub.desktop
%_libdir/kde3/knewsticker_panelapplet.*
%_libdir/kde3/libkntsrcfilepropsdlg.*

#-----------------------------------------------------------

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch4 -p1
%patch103 -p1 -b .post357
%patch104 -p0 -b .post357
%patch106 -p1 -b .post357
%patch107 -p1 -b .post357
%patch108 -p1 -b .post357
%patch109 -p1 -b .post357
%patch110 -p1 -b .post357
%patch111 -p1 -b .post357
%patch112 -p1 -b .post357
%patch113 -p1 -b .post357
%patch114 -p1 -b .post357
%patch116 -p1 -b .post357
%patch117 -p1 -b .post357
%patch119 -p1 -b .post357
%patch120 -p1 -b .post357

%build
%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
	--enable-shared \
%if %use_enable_final
	--enable-final \
%else
	--disable-final \
%endif
	--disable-rpath \
	--with-pic \
	--with-xinerama \
    --with-extra-includes=/usr/include/avahi-compat-libdns_sd/ \
	--disable-static \
	--without-xmms
	
%make

%install
rm -fr %buildroot
make install DESTDIR=%buildroot

install -d -m 0755 %buildroot/etc/rc.d/init.d
install -m 0755 %SOURCE2 %buildroot/etc/rc.d/init.d/lisa

install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

%clean
rm -fr %buildroot





%changelog
* Thu Oct 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-17mdv2008.0
+ Revision: 95316
- [BUGFIX] Remove kcmktalkd from the menu (Bug #33120)

* Sun Sep 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.5.7-16mdv2008.0
+ Revision: 92387
- Menu Fixes for Kppp stuffs

* Fri Sep 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.5.7-15mdv2008.0
+ Revision: 91969
- More menu fixes
- [BUGFIX] Do not display kcmkrfb on the menu (Bug #32672)
- Fix kdict menu
- Fix menu location for kcmwifi (Bug #33403)

* Sat Aug 25 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-13mdv2008.0
+ Revision: 71090
- Latest patches from branch, including avdevice fixes and emoticon fixes

* Sun Jul 08 2007 Funda Wang <fundawang@mandriva.org> 2:3.5.7-12mdv2008.0
+ Revision: 49882
- add patch to fix kdebug 120625

* Thu Jun 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.5.7-11mdv2008.0
+ Revision: 45513
- Add explicit Requires ( close bug #31555)

* Fri Jun 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.5.7-10mdv2008.0
+ Revision: 43065
- Add patch 104: Fix crash after duplicate login in yahoo
- [BUGFIX] fix group (bug #31281)

* Thu Jun 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-9mdv2008.0
+ Revision: 39543
- Small cleanup. Another set of extra no needed lib packages and devel conflicts

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fix adding contacts to yahoo accounts in kopete

* Fri Jun 08 2007 Anssi Hannula <anssi@mandriva.org> 2:3.5.7-7mdv2008.0
+ Revision: 37595
- buildrequires expat-devel, speex-devel, ortp-devel,
  meanwhile-devel, gadu-devel

* Fri Jun 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-6mdv2008.0
+ Revision: 37304
- We can't requires and obsoletes the sme version of package at same time...

* Fri Jun 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-5mdv2008.0
+ Revision: 37094
- Missing requires
- Bring back sane kdenetwork-devel package.
- Added relevant patches from branch

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [Bugfix] Add some ISP from Slovenia (#14744)
    - Fix lisa bugs #30026 and #30025

* Mon May 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.5.7-3mdv2008.0
+ Revision: 29459
- More fixes for the menus

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-2mdv2008.0
+ Revision: 27593
- Minor update in official tarball from kde.org

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.5.7-1mdv2008.0
+ Revision: 27447
- 3.5.7 release
- Removed netmeeting harcoded config


* Sun Apr 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-5mdv2007.1
+ Revision: 150170
- Fix #30027

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 2:3.5.6-4mdv2007.1
+ Revision: 149784
- add LSB header in initscript

* Sun Mar 04 2007 Laurent Montel <lmontel@mandriva.com> 2:3.5.6-3mdv2007.1
+ Revision: 132015
- Add patch from neoclust to fix netmeeting default value
- Fix spec file
- 3.5.6
- again a try to build with this rebuild bot... perhaps
  it will work... perhaps not...
  I like to lose my time with rebuild bot...
- Fix group
- Fix bug #28091

* Mon Nov 06 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-6mdv2007.1
+ Revision: 76837
- Rebuild
- Fix kopete: fix test if we have new style installed
  Bug found by Nicolas Chipaux
- Fix kopete: now we can remove style
  (bug found by Nicolas Chipaux)
  (patch commited into kde3.5.x/kde4.0)

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-3mdv2007.1
+ Revision: 72598
- Rebuild
- As said on maintainer we use official tarball
  not a random snapshot
  If there is a critical crash add a patch to fix it.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Back to use branch tarballs. Now using post 3.5.5.
    - Removed external kopete tarball. Noew branch have a new version in sync with
      development. This helps to disable reconstruct buildsystem on build

* Thu Sep 07 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-3mdv2007.0
+ Revision: 60270
- New package (3.5.4-3mdv 2006-09-06)
  Apply patch for lisa mdk bug #15558

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 57923
- List file changed on new kopete. Fixed
- Updated for latest kopete 0.12.2 ( http://qa.mandriva.com/show_bug.cgi?id=24652 )
- Fixes in krdc from KDE branch:
  Fix for the automatic fullscreen size bug. KDE bug #127304
  Check the return value from XF86VidModeGetAllModeLines() to avoid crashing. KDE bug #73519
- Fix ICQ protocol.
- Added official 3.5.4 tarball
- Added post 3.5.4 patch for nesticker. From kde changelog:
  Fixed flickering when scrolling (which is all the time.)
  KDE BUG: 63494

  + Laurent Montel <lmontel@mandriva.com>
    - New release (2006/08/03 3.5.4-1mdv)
    - Don't add categories for hidden desktop file

* Sat Jul 22 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-11mdv2007.0
+ Revision: 41897
- Fix bug http://qa.mandriva.com/show_bug.cgi?id=22091

* Fri Jul 21 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-10mdv2007.0
+ Revision: 41739
- Fixed kopete buildsystem to avoid have two admin trees and one reconfiguration
  during build
- Obsolete nowlistening. xmms moved for contrib and we not expect that will be
  back.
- Updated with 20060720 branch. Several krdc fixes

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-9mdv2007.0
+ Revision: 41622
- Disable debug
  Fix requires

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-7mdv2007.0
+ Revision: 41549
- Fix compile
- Use kopete 0.12.1

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added missing buildrequires: libxtst-devel

* Thu Jul 13 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.5.3-5mdv2007.0
+ Revision: 40944
- Added patch increasing the ICQ client version kopete reports (#23668)
  Patch from KDE bugzilla (http://bugs.kde.org/show_bug.cgi?id=130630)
- Use uncompressed patch files
- Added a patch fixing the ICQ message sending in kopete (use plaintext instead
  of escaped rich text)
- Sync'ing package kdenetwork

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaned a little bit spec
    - Removed all patches that already on upstream
    - Added tarball from kde branch as discussed on meeting in 28/06
    - Removed rpath and added configure macro invalidating libtoolize
    - Added strip macro as stated by Nanar ( for unstable builds )
    - Moved configs for the upcoming config kde package
    - Fixed pamd kppp entry ( thanks to Andreas )
    - Fix gcc4 build fix patch and file list
    - Proper spec applying patch
    - Missing patch for yahooicons
    - kopete with major upgrade to 0.12
    - Enabled jingle for jabber support ( speex and mulaw voice )
    - Fixed configure for libidn
    - Raising the release number
    - Small fix reported by neoclust ( fix for bug http://qa.mandriva.com/show_bug.cgi?id=12590 )
    - Laurent got caught by wrong repsys on cluster. Edit log was necessary
      * Fri Feb 10 2006 Laurent Montel <lmontel@mandriva.com> 3.5.1-2mdk
      + Revision: 1720
      + Status: not released
    - Add patch from misc to support sftp with zeroconf
    - 3.5.1
    - MDK9.2 is obsolete now
    - Last rebuild with kdelibs+avbahi
    - Fix buildrequires
    - Disable full debug for previous distro
    - Rebuild with avahi
    - Fix kppp suid (pb with script with extract debug)
    - real kde3.5
    - Add patch for fixing kopete kde bug #117089
    - Add patch4: fix filesharing error when we cancel dlg
    - 3.5.0 (named as rc1)
    - Fix typo
    - We are Mandriva now
    - Cleanup spec
    - Fixed wrong placement of some files
    - Split kopete latex and nowlistening plugins to avoid average user be forced to install libxmms and imagemagick.
    - Removed patch for rpath, not necessary anymore
    - Uploading package ./kdenetwork

  + Laurent Montel <lmontel@mandriva.com>
    - Oops forgot to commit it
    - Fix setuid
    - 3.5.2
    - Build against new xorg
    - Sync with kde3.5 branch to fix a lot of crash into kopete (video and co)
    - Rebuild to generate category
    - 3.5.2
    - Rebuild for missing package
    - Add requires on jasper to see webcam picture in yahoo protocol
    - Add file just for mdk > 2006
    - Add patch from misc to support sftp with zeroconf
    - 3.5.1
    - MDK9.2 is obsolete now
    - Last rebuild with kdelibs+avbahi
    - Fix buildrequires
    - Disable full debug for previous distro
    - Rebuild with avahi
    - Fix kppp suid (pb with script with extract debug)
    - real kde3.5
    - Add patch for fixing kopete kde bug #117089
    - Add patch4: fix filesharing error when we cancel dlg
    - 3.5.0 (named as rc1)
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - 3.4.92
    - Rebuild
    - New sync
    - Fix spec
    - Fix requires (fix build on x86_64)
    - Sync to fix kopete
    - New sync to fix kopete
    - New sync for kopete
    - New sync to fix kopete
    - Fix generate fileshare desktop
    - Add requires on ImageMagik for latex kopete plugins
    - Remove this patch that I commited into svn
    - New sync
    - Fix lisa signal/slot
    - Debug--
      Diff from svn
    - Rebuild against new lib wifi
    - 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 25 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-3mdk
- Update code from svn to fix some bugs into kopete

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-2mdk
- Fix for bad package

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-1mdk
- 3.4.1

* Mon May 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Sync with SVN (fix msn protocol changed)

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Rebuild with new gcc
- Update from CVS

* Tue Apr 19 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Activate -fvisibility same as ppc
- fix email

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Update source from CVS
- Reactivate debug
- Remove some old patch clean from Neoclust <neoclust@mandrake.org>

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0
- Use --enable-new-ldflags

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-27mdk
- Add patch124: fix kopete kde bug #100334/MDK bug #12627

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-26mdk
- Add patch123: fix kppp connect

* Thu Mar 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-25mdk
- Add patch122: fix mdk bug #13972 patch from Gustavo Pichorim Boiko

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-23mdk
- Add patch119: fix kget kde bug #96030
- Add patch120: fix kget kde bug #96565

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Add patch118: fix krfb kde bug #99396

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Fix MDK bug #13605

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Add patch117: fix kopete connect to hotmail.* kde bug #96304

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Fix generated menu entry

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Add patch116: fix kget kde bug #86124

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch115: disable visibility for ppc

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch114: fix kget kde bug #92829

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Add patch113: fix kwifimanager string

* Fri Jan 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch112: fix kopete kde bug #95804

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Add patch111: fix kopete kde bug #84627

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Fix error from kde3.3 branch kppp was not layouted good

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Use -f visibility

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch110: fix kppp device entry (/dev/ttySHSFx for conexant modem, and /dev/ttyUSBx for usb modem with udev bug reported by Giuseppe Ghibò)

* Thu Dec 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add patch108: fix launch kcmkrfb
- Add patch109: fix krfb makefile.am

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch107: fix krfb reload config

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Fix connect krfb from navigator (bug found by Arnaud)

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Fix menu

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Lisa obsolete ksambaplugins (now it's into kdenetwork sources)

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix duplicate kopete.desktop into lisa and kopete package

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Sync with cvs

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Remove %%buildfor

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix requires

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Update code

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-5mdk
- Fix conflicts (upgrade from MDK 10.0)

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Update from kde3.3 branch

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix compile kopete + jabber

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Fix split

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Fix kopete config

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Rebuild for new menu trnaslation table

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch104: fix kget kde bug #81612

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Remove debug

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Create new package kppp-provider, necessary for drakconnect

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch103: fix kopete kde bug #62353

* Sat Jul 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix remove rpath

* Wed Jul 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Add entry for slmodem asked by Arnaud de Lorbeau

* Wed Jul 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Sync with CVS

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild with new kdelibs

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch101: fix yahoo protocol

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Sync with CVS

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Thu May 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Sync with CVS

* Thu Apr 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Sync with CVS

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec file for using rpmbuildupdate

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Rebuild with libiw27
- Add patch101: fix add rss to kicker newsticker bug found by "Michael Scherer"
- Add patch102: fix compile with ibwil-27

